Skip site navigation (1) Skip section navigation (2)

Re: Compiler 7.4 with--java Error on Redhad AS 2.4.21

From: Kris Jurka <books(at)ejurka(dot)com>
To: yihuey <yihuey(at)pchome(dot)com(dot)tw>
Cc: pgsql-interfaces(at)postgresql(dot)org
Subject: Re: Compiler 7.4 with--java Error on Redhad AS 2.4.21
Date: 2004-04-11 04:48:27
Message-ID: Pine.BSO.4.56.0404102346020.4974@leary.csoft.net (view raw or flat)
Thread:
Lists: pgsql-interfaces

On Wed, 31 Mar 2004, yihuey wrote:

> Hello:
> 
> I have the same question and environment.My Server never install old version postgreSQL.
> Pls tell me how to solve.
> 
> Hi,
> I am using linux redhat 3.0 and sun jsdk 1.4.2.
> I try to compile pg 7.4 --with-java to be able to get the new jdbc
> driver.
> After calling gmake I get this error:
> /pginst/postgresql-7.4/src/interfaces/jdbc/org/postgresql/jdbc3/Jdbc3Statement.java:28:
> error: Invalid checked exception class `java.sql.SQLException' in
> `throws' clause. The exception must be a subclass of an exception thrown
> by

This is due to redhat including an existing postgresql.jar file in the 
classpath or somewhere else in your environment.  To build a new version 
you need to remove this from you compile environment.  The other 
alternative is to simply download a prebuilt binary from 
http://jdbc.postgresql.org/download.html

Kris Jurka

In response to

pgsql-interfaces by date

Next:From: brian plummerDate: 2004-04-13 02:58:32
Subject: PostgreSQL: libpq, win32 build
Previous:From: L J BayukDate: 2004-04-11 01:12:19
Subject: Re: installation/verification of pgtcl libraries

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group